# Matrix Discord Bridge

Install the matrix bridge for discord: https://github.com/Half-Shot/matrix-appservice-discord

This role is part of my ansible roles. It is made to interact with other roles that are listed here, and require some variables.

## Role required:

- postgre (TODO: ADD LINK HERE)

## Variable required:

```
ansible_managed: str, msg indicating a file managed by ansible
matrix_server_name: the matrix server name
matrix_bridge_discord_client_ID: Value for id the client to the server (see https://github.com/Half-Shot/matrix-appservice-discord for generation)
matrix_bridge_discord_botToken: **SECRET** value for auth the client to the server (see https://github.com/Half-Shot/matrix-appservice-discord for generation)
matrix_bridge_discord_postgre_user_pwd: **SECRET** pwd for connecting to the postgre db
```

## Add role to you ansible playbook:

To add this role to your project, you can use git submodules: 

```
git submodule add ssh://git@gitea.auro.re:2222/Pains-Perdus/matrix-bridge-discord.git roles/matrix-bridge-discord
git submodule init
```

## Copyright

Copyright 2021 Jean-Marie Mineau <histausse@protonmail.com>
